=== debian/changelog ===
shadow (1:4.0.3-31sarge5.osso7) unstable; urgency=low

  * Fixed scripts for non-gnu utils. Fixes: NB#67709
  * Remove libmisc/nscd.c after darcs convertion again

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 12 Sep 2007 15:09:07 +0300

shadow (1:4.0.3-31sarge5.osso6) unstable; urgency=low

  * Use sh instead of bash in the debian scripts. Fixes: NB#55253
    Thanks to Jussi Hakala <ext-jussi.hakala@nokia.com>

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  9 May 2007 13:19:54 +0300

shadow (1:4.0.3-31sarge5.osso5) unstable; urgency=low

  * Fixed lintian warning, duplicate Replaces.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 19 Oct 2006 13:28:38 +0300

shadow (1:4.0.3-31sarge5.osso4) unstable; urgency=low

  * use our own nscd.c. Fixes: NB#43658

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 18 Oct 2006 16:23:17 +0300

shadow (1:4.0.3-31sarge5.osso3) unstable; urgency=low

  * removed man pages 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 24 May 2006 13:01:17 +0300

shadow (1:4.0.3-31sarge5.osso2) unstable; urgency=low

  * removed documentation
  * armel support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 23 May 2006 20:56:05 +0300

shadow (1:4.0.3-31sarge5.osso1) unstable; urgency=low

  * Intergated osso changes

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Feb 2006 18:36:17 +0200

shadow (1:4.0.3-31sarge5) testing-proposed-updates; urgency=high

  * Re-apply the debian/patches/036_CAN-2004-1001_passwd_check patch
    which fixed the "Adjusted password check to fix authentication bypass"
    security issue (CAN-2004-1001)    
    Closes: #309587

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 May 2005 07:35:04 +0200

shadow (1:4.0.3-31sarge4) testing-proposed-updates; urgency=low

  * The "Improve security release"
  * Make login and su use limits.so PAM module by default
    Closes: #300720

 -- Christian Perrier <bubulle@debian.org>  Mon,  9 May 2005 18:18:55 +0200

shadow (1:4.0.3-31sarge3) unstable; urgency=low

  * The "please buy me a brain" release
  * *Really* shorten down the Dutch debconf translation for the root password
    input so that it fits in one screen. Closes: #277750
  * man/usermod.8: *Really* document -o option in usermod
	           Closes: #302388
  * man/fr/po4a/fr: Removed. This directory only clutters up the diff
	            and is not used during the build process
  * man/de/passwd.1: Updated. Closes: #304757
  * man/de/chsh.1: Updated.
  * man/it/*: All files updated. Closes: #305095
  * Translation updates:
    - Portuguese (from the translation file sent for 4.0.8 upstream)
      Closes: #305257

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Apr 2005 19:31:43 +0200

shadow (1:4.0.3-31sarge2) unstable; urgency=low

  * Shorten down the Dutch debconf translation for the root password
    input so that it fits in one screen. Closes: #277750
  * man/usermod.8: Document -o option in usermod
	           Closes: #302388

 -- Christian Perrier <bubulle@debian.org>  Mon,  4 Apr 2005 20:28:47 +0200

shadow (1:4.0.3-31sarge1) unstable; urgency=high

  * Urgency set to high because of RC bug fixed. Reuploaded
    because I messed up with the changelog first. Use this occasion
    to start a sarge series just in case. Changes below were made
    in the former version already.
  * Avoid package file conflicts for woody->sarge upgrade:
    - Add manpages-it and manpages-ko to Replaces: for login
    - Remove manpages-de from Replaces: for login (useless)
    - Improve readability of the Replaces line for passwd
    Closes: #299549

 -- Christian Perrier <bubulle@debian.org>  Tue, 15 Mar 2005 13:55:34 +0100

shadow (1:4.0.3-31) unstable; urgency=low

  * New maintainer

 -- Christian Perrier <bubulle@debian.org>  Fri, 11 Mar 2005 19:28:38 +0100

shadow (1:4.0.3-30.10) unstable; urgency=low

  * Non-maintainer upload targeted at sarge.
  * Programs translations:
    - Greek updated. Closes: #293911
    - French updated. Closes: #294330
  * Debconf translations:
    - Galician updated. Closes: #295543

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 Feb 2005 17:47:24 +0100

shadow (1:4.0.3-30.9) unstable; urgency=low

  * Non-maintainer upload targeted at sarge.
  * Programs translations:
    - German updated. Closes: #291703
    - Tagalog added. Closes: #292353
    - Korean updated.
  * Lintian fixes:
    - Remove initial capital letters in description synopsis

 -- Christian Perrier <bubulle@debian.org>  Fri, 28 Jan 2005 12:24:58 +0100

shadow (1:4.0.3-30.8) unstable; urgency=low

  * Non-maintainer upload targeted at sarge.
  * Debconf translations:
    - Tagalog added. Closes: #289837
    - Norwegian Bokmal updated
    - Swedish updated
  * Programs translations:
    - Traditional Chinese added. Closes: #288879


 -- Christian Perrier <bubulle@debian.org>  Sat, 15 Jan 2005 06:54:07 +0100

shadow (1:4.0.3-30.7) unstable; urgency=low

  * Non-maintainer upload targeted at sarge.
  * Resolv conflict with manpage-spl in login
    as well as passwd. Thanks to Robert Luberda for
    the notice

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Dec 2004 22:23:11 +0100

shadow (1:4.0.3-30.6) unstable; urgency=low

  * Revert back to Ian Gulliver genuine patch
    to chpasswd. Update man page accordingly.
    Closes: #283961 
    (again)
  * Programs translations
    - German updated. Closes: #286522
  * Debconf translations
    - German updated. Closes: #286522

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Dec 2004 23:51:39 +0100

shadow (1:4.0.3-30.5) unstable; urgency=high

  * Non-maintainer upload targeted at sarge.
    Fix release critical bug
  * Resolve conflict with woody's manpages-pl package
    which prevent woody->sarge upgrade if
    manpages-pl was installed
    Closes: #284239
  * Programs translations
    - Romanian added. Closes: #284338
  * Add MD5 support to chpasswd
    Thanks to Ian Gulliver for the patch
    Closes: #283961
  * Correct typos in man pages

