## shadow 4.0.3-31sarge5.osso8

=== debian/changelog ===
shadow (1:4.0.3-31sarge5.osso8) unstable; urgency=low

  * No essential packages anymore

 -- Grigori Timonen <grigori.timonen@nokia.com>  Wed,  5 Mar 2008 16:10:22 +0200
