=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
 Pre-Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
 Conflicts: shadow-login, secure-su, suidregister (<< 0.50)
 Replaces: shadow-login, shadow-passwd, shellutils (<< 2.0-2), manpages-fr, manpages-hu, manpages-it, manpages-ko, manpages-ja, manpages-pl (<= 20020406-1)
-Essential: yes
 Section: base
 Priority: required
 Description: system login tools
