=== debian/control ===
Source: shadow
Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>,
           Balint Reczey <balint@balintreczey.hu>,
           Serge Hallyn <serge@hallyn.com>
Section: admin
Priority: required
Build-Depends: dh-autoreconf,
               gettext,
               libpam0g-dev,
               debhelper (>= 10~),
               quilt,
               xsltproc,
               docbook-xsl,
               docbook-xml,
               libxml2-utils,
               cdbs,
               libselinux1-dev [linux-any],
               libsemanage1-dev [linux-any],
               gnome-doc-utils,
               bison,
               libaudit-dev [linux-any]
Standards-Version: 3.9.5
Vcs-Browser: https://anonscm.debian.org/git/pkg-shadow/shadow.git
Vcs-Git: https://anonscm.debian.org/git/pkg-shadow/shadow.git
Homepage: https://github.com/shadow-maint/shadow

Package: passwd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpam-modules
Replaces: manpages-tr (<< 1.0.5),
          manpages-zh (<< 1.5.1-1)
Description: change and administer password and group data
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian

Package: login
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends},
             ${misc:Depends},
             libpam-runtime,
             libpam-modules (>= 1.1.8-1)
Breaks: coreutils (<< 8.21~) [hurd-any],
        passwd (<< 1:4.1.5.1-2~) [hurd-any],
        hurd (<< 20140206~) [hurd-any]
Conflicts: gnunet (<< 0.7.0c-2),
           amavisd-new (<< 2.3.3-8),
           python-4suite (<< 0.99cvs20060405-1),
           backupninja (<< 0.9.3-5),
           echolot (<< 2.1.8-4)
Replaces: manpages-de (<< 0.5-3),
          manpages-tr (<< 1.0.5),
          manpages-zh (<< 1.5.1-1),
          passwd (<< 1:4.1.5.1-2~) [hurd-any],
          coreutils (<< 8.21~) [hurd-any],
          hurd (<< 20140206~) [hurd-any]
Description: system login tools
 These tools are required to be able to login and use your system. The
 login program invokes your user shell and enables command execution. The
 newgrp program is used to change your effective group ID (useful for
 workgroup type situations). The su program allows changing your effective
 user ID (useful being able to execute commands as another user).

Package: uidmap
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: programs to help use subuids
 These programs help unprivileged users to create uid and gid mappings in
 user namespaces.
