## shadow 4.5

=== debian/changelog ===
shadow (1:4.5-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/login.defs:
      + Update documentation of USERGROUPS_ENAB: with pam_umask, the UPG
        handling does not only apply to "former (pre-PAM) uses".
      + Update documentation of UMASK: Explain that USERGROUPS_ENAB
        will modify this default for UPGs.
    - debian/{source_shadow.py,rules}: Add apport hook
    - debian/patches/1010_extrausers.patch: Add support to passwd for
      libnss-extrausers
    - debian/patches/1011_extrausers_toggle.patch: extrausers support for
      useradd and groupadd
    - debian/patches/1012_extrausers_chfn.patch: add support for
      --extrausers to the chfn tool
    - debian/passwd.maintscripts: Clean up upstart configuration
  * Dropped changes, included in Debian:
    - Pass noupdate to pam_motd call for /run/motd.dynamic, to avoid running
      /etc/update-motd.d/* scripts twice.
  * Dropped changes, included upstream:
    - debian/patches/userns/subuids-nonlocal-users: Don't limit
      subuid/subgid support to local users.
    - debian/patches/1021_no_subuids_for_system_users.patch
    - debian/patches/CVE-2017-2616.patch: Check process's exit status before
      sending signal
    - debian/patches/CVE-2017-2616-regression.patch: Do not reset the
      pid_child to 0 if the child process is still running.
    - CVE-2017-2616
    - debian/patches/CVE-2016-6252.patch: parse directly into unsigned long
    - CVE-2016-6252
  * Dropped obsoleted changes:
    - debian/rules: setting DEB_*_INSTALLINIT_ARGS became obsolete after
      switching to passwd.tmpfile from passwd.service

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 25 Jan 2018 16:09:22 +0100

shadow (1:4.5-1) unstable; urgency=medium

  * New upstream version 4.5
    - Fix buffer overflow if NULL line is present in db (CVE-2017-12424)
      (Closes: #756630)
    - Make the sp_lstchg shadow field reproducible (Closes: #857803)
    - Fix regression in useradd not loading defaults properly.
      (Closes: #865762)
  * Refresh patches
  * Drop patches manipulating su argument concatenation:
  * Cut redundant information from Debian-specific README files
  * Revert adding pts/0 and pts/1 to securetty.
    Adding pts/* defeats the purpose of securetty. Let containers add it if
    needed as described in #830255.
  * Use my @ubuntu.com email address in Maintainer field

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 27 Sep 2017 12:45:23 -0400

shadow (1:4.2-3.2ubuntu4) artful; urgency=medium

  * Drop upstart system jobs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Aug 2017 00:56:14 +0100

shadow (1:4.2-3.2ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: su could be used to kill arbitrary processes.
    - debian/patches/CVE-2017-2616.patch: Check process's exit status before
      sending signal
    - debian/patches/CVE-2017-2616-regression.patch: Do not reset the
      pid_child to 0 if the child process is still running.
    - CVE-2017-2616
  * SECURITY UPDATE: getulong() function could accidentally parse negative
    numbers as large positive numbers.
    - debian/patches/CVE-2016-6252.patch: parse directly into unsigned long
    - CVE-2016-6252

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 18 May 2017 14:39:32 -0400

shadow (1:4.2-3.2ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/passwd.upstart: Add an upstart job to clear locks on
      [shadow-]passwd/group.
    - debian/login.defs:
      + Update documentation of USERGROUPS_ENAB: with pam_umask, the UPG
        handling does not only apply to "former (pre-PAM) uses".
      + Update documentation of UMASK: Explain that USERGROUPS_ENAB
        will modify this default for UPGs.
    - debian/{source_shadow.py,rules}: Add apport hook
    - Pass noupdate to pam_motd call for /run/motd.dynamic, to avoid running
      /etc/update-motd.d/* scripts twice.
    - debian/patches/1010_extrausers.patch: Add support to passwd for
      libnss-extrausers
    - debian/patches/1011_extrausers_toggle.patch: extrausers support for
      useradd and groupadd
    - debian/patches/userns/subuids-nonlocal-users: Don't limit
      subuid/subgid support to local users.
  * Dropped changes, included in Debian:
    - Allow LXC devices (lxc/console, lxc/tty[1234]), used from precise on.
    - Add uidmap package based on upstream patches that introduce
      newuidmap/newgidmap as well as /etc/subuid and /etc/subgid. Additional
      updates on those to widen the default allocation to 65536 uids and gids
      and only assign ranges to non-system users.
    - debian/patches/1020_fix_user_busy_errors: Call sub_uid_close in all
      error cases.
  * Dropped changes, included upstream:
    - debian/patches/495_stdout-encrypted-password: chpasswd can report
      password hashes on stdout.
    - debian/patches/496_su_kill_process_group: Kill the child process group,
      rather than just the immediate child.
  * Fix pam_motd calls so that the second pam_motd is the noupdate one rather
    than the first, ensuring /run/motd.dynamic is always populated and shown
    on the first login after boot.  LP: #1368864.
  * Don't call 'pam_exec uname', a change adopted in Debian without
    coordination with the Debian PAM maintainer
  * Use dh_installinit now for installing the upstart job, as we no longer
    generate a dependency on upstart-job.
  * Include /etc/sub[ug]id in the list of files to clear locks for on boot.
    LP: #1304505
  * Add a systemd unit to go with the upstart job, so that lock clearing works
    on newer Ubuntu releases.
  * add support for "chfn --extrausers" (LP: #1495580)
  * debian/patches/1010_extrausers.patch:
    - Fix usermod to handle a readonly /etc gracefully (LP: #1562872)
  * debian/patches/1010_extrausers.patch:
    - Fix usermod to look in extrausers location for basic changes to a
      user's passwd info.  Fixes changing user's real name in Touch via

