=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shadow
-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>,
-           Balint Reczey <balint@balintreczey.hu>,
+           Balint Reczey <rbalint@ubuntu.com>,
            Serge Hallyn <serge@hallyn.com>
 Section: admin
 Priority: required
