=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%shadow-$1.tar.gz%" \
   https://github.com/shadow-maint/shadow/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
