## shadow 4.5.3

=== debian/changelog ===
shadow (1:4.5.3-1+dde) unstable; urgency=medium

  * Resolve some issues caused by previous commits
  * 

 -- chenkaixu <chenkaixu@uniontech.com>  Tue, 09 Mar 2021 09:51:17 +0800

shadow (1:4.5.2-1+dde) unstable; urgency=medium

  * Prohibit viewing permissions between users.
  *

 -- liuxin <liuxin@uniontech.com>  Mon, 08 Feb 2021 17:42:48 +0800

shadow (1:4.5.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- liuxin <liuxin@uniontech.com>  Sun, 05 Jul 2020 20:05:45 +0800

shadow (1:4.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- Andreas Henriksson <liuxin@uniontech.com>  Sat, 04 Jul 2020 22:41:17 +0800

shadow (1:4.5-1.1) unstable; urgency=medium

  * Non-maintainer upload (greetings from DebCamp/DebConf Taiwan).
  * Stop shipping su and break old util-linux version. (See #833256)
    - Breaks on old version to force lockstep upgrade, which should
      really be a depends-new-version (and can be switched around
      together with util-linux once the transition is finished).
      Using Breaks/Depends the 'wrong' way around is to make apt
      unpack things in the 'right' order (avoiding any gaps where
      /bin/su is not available during the upgrade phase).

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 27 Jul 2018 10:07:37 +0200
