=== debian/rules ===
--- 
+++ 
@@ -50,11 +50,9 @@
 	sed -i 's/session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.pam
 endif
 	dh_installpam -p login
-	dh_installpam -p login --name=su
-	install -c -m 444 debian/login.defs debian/login/etc/login.defs
+	mkdir debian/login/var/ -p
+	install -c -m 444 debian/login.defs debian/login/var/login.defs
 	install -c -m 444 debian/securetty.$(DEB_HOST_ARCH_OS) debian/login/etc/securetty
-	install -d debian/login/usr/share/apport/package-hooks
-	install -c -m 644 debian/source_shadow.py debian/login/usr/share/apport/package-hooks/source_shadow.py
 	dh_lintian -p login
 
 binary-install/passwd::
@@ -83,7 +81,6 @@
 binary-predeb/login::
 	# No real need for login to be setuid root
 	# chmod u+s debian/login/bin/login
-	chmod u+s debian/login/bin/su
 	chmod u+s debian/login/usr/bin/newgrp
 
 binary-predeb/passwd::
